# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-27 17:01
from __future__ import unicode_literals

import django.db.models.deletion
import modelcluster.fields
import wagtail.core.fields
from django.db import migrations, models

import roadbook.models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ('wagtaildocs', '0007_merge'),
        ('wagtailcore', '0040_page_draft_title'),
    ]

    operations = [
        migrations.CreateModel(
            name='GPXPoint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('latitude', models.FloatField()),
                ('longitude', models.FloatField()),
                ('elevation', models.FloatField()),
                ('time', models.DateTimeField(null=True)),
            ],
            options={
                'ordering': ['sort_order'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RoadbookIndexPage',
            fields=[
                ('page_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE,
                                      parent_link=True, primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('title_en',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public",
                                  max_length=255, null=True, verbose_name='title')),
                ('title_fr',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public",
                                  max_length=255, null=True, verbose_name='title')),
                ('slug_en', models.SlugField(allow_unicode=True,
                                             help_text=('The name of the page as it will appear in URLs ',
                                                        'e.g http://domain.com/blog/[my-slug]/'),
                                             max_length=255, null=True, verbose_name='slug')),
                ('slug_fr', models.SlugField(allow_unicode=True,
                                             help_text=('The name of the page as it will appear in URLs ',
                                                        'e.g http://domain.com/blog/[my-slug]/'),
                                             max_length=255, null=True, verbose_name='slug')),
                ('url_path_en', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('url_path_fr', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('seo_title_en', models.CharField(blank=True,
                                                  help_text=("Optional. 'Search Engine Friendly' title. ",
                                                             "This will appear at the top of the browser window."),
                                                  max_length=255, null=True, verbose_name='page title')),
                ('seo_title_fr', models.CharField(blank=True,
                                                  help_text=("Optional. 'Search Engine Friendly' title. ",
                                                             "This will appear at the top of the browser window."),
                                                  max_length=255, null=True, verbose_name='page title')),
                ('search_description_en', models.TextField(blank=True, null=True, verbose_name='search description')),
                ('search_description_fr', models.TextField(blank=True, null=True, verbose_name='search description')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='RoadbookLegPage',
            fields=[
                ('page_ptr',
                 models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True,
                                      primary_key=True, serialize=False, to='wagtailcore.Page')),
                ('title_en',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255,
                                  null=True, verbose_name='title')),
                ('title_fr',
                 models.CharField(help_text="The page title as you'd like it to be seen by the public", max_length=255,
                                  null=True, verbose_name='title')),
                ('slug_en', models.SlugField(allow_unicode=True,
                                             help_text=('The name of the page as it will appear in URLs ',
                                                        'e.g http://domain.com/blog/[my-slug]/'),
                                             max_length=255, null=True, verbose_name='slug')),
                ('slug_fr', models.SlugField(allow_unicode=True,
                                             help_text=('The name of the page as it will appear in URLs ',
                                                        'e.g http://domain.com/blog/[my-slug]/'),
                                             max_length=255, null=True, verbose_name='slug')),
                ('url_path_en', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('url_path_fr', models.TextField(blank=True, editable=False, null=True, verbose_name='URL path')),
                ('seo_title_en', models.CharField(blank=True,
                                                  help_text=("Optional. 'Search Engine Friendly' title. ",
                                                             "This will appear at the top of the browser window."),
                                                  max_length=255, null=True, verbose_name='page title')),
                ('seo_title_fr', models.CharField(blank=True,
                                                  help_text=("Optional. 'Search Engine Friendly' title. ",
                                                             "This will appear at the top of the browser window."),
                                                  max_length=255, null=True, verbose_name='page title')),
                ('search_description_en', models.TextField(blank=True, null=True, verbose_name='search description')),
                ('search_description_fr', models.TextField(blank=True, null=True, verbose_name='search description')),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('description', wagtail.core.fields.RichTextField(blank=True)),
                ('route_file', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+',
                                                 to='wagtaildocs.Document',
                                                 validators=[roadbook.models.validate_gpx_document])),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
        migrations.AddField(
            model_name='gpxpoint',
            name='page',
            field=modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE,
                                                  to='roadbook.RoadbookLegPage'),
        ),
    ]
